 SPOOL .\Logs\03-Secuencias_y_triggers.log 
 PROMPT Generando secuencias... 

/************************************************************************************************************************
*                                                                                                                       *
* Descripcin.: Secuencia para incrementar el campo I_Entrada en la tabla LOG_ACTIVIDAD                                 *
*                                                                                                                       *
*************************************************************************************************************************/

DROP SEQUENCE SEQ_LOG_ENTRADA;
CREATE SEQUENCE SEQ_LOG_ENTRADA START WITH 1 INCREMENT BY 1;  

-- Trigger para incrementar el nmero de entrada

CREATE OR REPLACE TRIGGER tr_insertar_log
  BEFORE INSERT 
  ON LOG_ACTIVIDAD 
  FOR EACH ROW

BEGIN

  SELECT SEQ_LOG_ENTRADA.NEXTVAL INTO :NEW.I_ENTRADA FROM DUAL;

END tr_insertar_log;

/

/************************************************************************************************************************
*                                                                                                                       *
* Descripcin.: Secuencia para incrementar el campo I_TIENDA en la tabla TIENDA                                         *
*                                                                                                                       *
*************************************************************************************************************************/

DROP SEQUENCE SEQ_ID_TIENDA;
CREATE SEQUENCE SEQ_ID_TIENDA START WITH 1 INCREMENT BY 1;  

-- Trigger para incrementar el nmero asignado a la tienda

CREATE OR REPLACE TRIGGER tr_insertar_tienda
  BEFORE INSERT 
  ON TIENDA
  FOR EACH ROW

BEGIN

  SELECT SEQ_ID_TIENDA.NEXTVAL INTO :NEW.I_TIENDA FROM DUAL;

END tr_insertar_tienda;

/

/************************************************************************************************************************
*                                                                                                                       *
* Descripcin.: Secuencia para incrementar el campo I_TIEMPO en la tabla TIEMPO                                         *
*                                                                                                                       *
*************************************************************************************************************************/

DROP SEQUENCE SEQ_ID_TIEMPO;
CREATE SEQUENCE SEQ_ID_TIEMPO START WITH 1 INCREMENT BY 1;  

-- Trigger para incrementar el nmero asignado a la nueva fecha

CREATE OR REPLACE TRIGGER tr_insertar_tiempo
  BEFORE INSERT 
  ON TIEMPO 
  FOR EACH ROW

BEGIN

  SELECT SEQ_ID_TIEMPO.NEXTVAL INTO :NEW.I_TIEMPO FROM DUAL;

END tr_insertar_tiempo;

/

SPOOL OFF;